package com.jasamedika.medifirst2000.entities;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jasamedika.medifirst2000.base.BaseMasterProduk;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class Produk
 * 
 * @author Generator
 */
@Entity // @Audited
@Table(name = "Produk_M")
@JsonIgnoreProperties({ "hibernateLazyInitializer", "handler" })
public class Produk extends BaseMasterProduk {

	public Produk(String kdProduk, String namaProduk, Integer id, SatuanStandar satuanStandar) {
		super();
		this.satuanStandar = satuanStandar;
		this.kdProduk = kdProduk;
		this.namaProduk = namaProduk;
		this.id = id;

	}

	public Produk(String kdProduk, String namaProduk, Integer id, SatuanStandar satuanStandar, Generik generik) {
		super();
		this.satuanStandar = satuanStandar;
		this.kdProduk = kdProduk;
		this.namaProduk = namaProduk;
		this.id = id;
		this.generik = generik;
	}

	public Produk(String kdProduk, String namaProduk, Integer id) {
		super();

		this.kdProduk = kdProduk;
		this.namaProduk = namaProduk;
		this.id = id;
	}

	public Produk(String kdProduk, String namaProduk, Integer id, BahanSample bahanSample) {
		super();

		this.kdProduk = kdProduk;
		this.bahanSample = bahanSample;
		this.namaProduk = namaProduk;
		this.id = id;
	}

	public Produk(String kdProduk, String namaProduk, Integer id, BahanSample bahanSample, String keterangan) {
		super();

		this.kdProduk = kdProduk;
		this.bahanSample = bahanSample;
		this.namaProduk = namaProduk;
		this.id = id;
		this.keterangan = keterangan;
	}

	public Produk() {

	}

	@JsonBackReference
	@OneToMany(cascade = CascadeType.ALL, fetch = FetchType.LAZY, mappedBy = "produk")
	private Set<ProdukDetailLaboratorium> produkDetail = new HashSet<ProdukDetailLaboratorium>();

	public Set<ProdukDetailLaboratorium> getProdukDetail() {
		return produkDetail;
	}

	public void setProdukDetail(Set<ProdukDetailLaboratorium> produkDetail) {
		this.produkDetail = produkDetail;
	}

	@ManyToOne
	@JoinColumn(name = "BahanSampleFk")
	@Caption(value = "Bahan Sample")
	private BahanSample bahanSample;

	public void setBahanSample(BahanSample bahanSample) {
		this.bahanSample = bahanSample;
	}

	public BahanSample getBahanSample() {
		return bahanSample;
	}

	public void setStrukOrder(BahanSample bahanSample) {
		this.bahanSample = bahanSample;
	}

	@Column(name = "BahanSampleFk", insertable = false, updatable = false)
	private Integer bahanSampleId;

	@Caption(value = "Deskripsi Produk")
	@Column(name = "DeskripsiProduk", nullable = true, length = 300)
	private String deskripsiProduk;

	@Caption(value = "Is Produk Intern")
	@Column(name = "isProdukIntern", nullable = true)
	private Byte isProdukIntern;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectAccountFk")
	@Caption(value = "Object Account")
	private ChartOfAccount account;

	@Column(name = "ObjectAccountFk", insertable = false, updatable = false)
	private Integer accountId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectBahanProdukFk")
	@Caption(value = "Object Bahan Produk")
	private BahanProduk bahanProduk;

	@Column(name = "ObjectBahanProdukFk", insertable = false, updatable = false)
	private Integer bahanProdukId;

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

	@Caption(value = "Keterangan")
	@Column(name = "Keterangan", nullable = true, length = 50)
	private String keterangan;
	@Caption(value = "Kode Barcode")
	@Column(name = "KdBarcode", nullable = true, length = 50)
	private String kdBarcode;

	@ManyToOne(fetch = FetchType.LAZY)
	@JsonIgnoreProperties({ "hibernateLazyInitializer", "handler" })
	@JoinColumn(name = "ObjectBentukProdukFk")
	@Caption(value = "Object Bentuk Produk")
	private BentukProduk bentukProduk;

	@Column(name = "ObjectBentukProdukFk", insertable = false, updatable = false)
	private Integer bentukProdukId;

	@ManyToOne
	@JoinColumn(name = "ObjectDepartemenFk")
	@Caption(value = "Object Departemen")
	private Departemen departemen;

	@Column(name = "ObjectDepartemenFk", insertable = false, updatable = false)
	private Integer departemenId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectDetailGolonganProdukFk")
	@Caption(value = "Object Detail Golongan Produk")
	private DetailGolonganProduk detailGolonganProduk;

	@Column(name = "ObjectDetailGolonganProdukFk", insertable = false, updatable = false)
	private Integer detailGolonganProdukId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectDetailJenisProdukFk")
	@Caption(value = "Object Detail Jenis Produk")
	private DetailJenisProduk detailJenisProduk;

	@Column(name = "ObjectDetailJenisProdukFk", insertable = false, updatable = false)
	private Integer detailJenisProdukId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectFungsiProdukFk")
	@Caption(value = "Object Fungsi Produk")
	private FungsiProduk fungsiProduk;

	@Column(name = "ObjectFungsiProdukFk", insertable = false, updatable = false)
	private Integer fungsiProdukId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectGolonganProdukFk")
	@Caption(value = "Object Golongan Produk")
	private GolonganProduk golonganProduk;

	@Column(name = "ObjectGolonganProdukFk", insertable = false, updatable = false)
	private Integer golonganProdukId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectGProdukFk")
	@Caption(value = "Object G Produk")
	private GeneralProduk gProduk;

	@Column(name = "ObjectGProdukFk", insertable = false, updatable = false)
	private Integer gProdukId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectJenisPeriksaPenunjangFk")
	@Caption(value = "Object JenisPeriksaPenunjang")
	private JenisPeriksaPenunjang jenisPeriksaPenunjang;

	@Column(name = "ObjectJenisPeriksaPenunjangFk", insertable = false, updatable = false)
	private Integer jenisPeriksaPenunjangId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectKategoryProdukFk")
	@Caption(value = "Object Kategory Produk")
	private KategoryProduk kategoryProduk;

	@Column(name = "ObjectKategoryProdukFk", insertable = false, updatable = false)
	private Integer kategoryProdukId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectLevelProdukFk")
	@Caption(value = "Object Level Produk")
	private LevelProduk levelProduk;

	@Column(name = "ObjectLevelProdukFk", insertable = false, updatable = false)
	private Integer levelProdukId;

	@Caption(value = "Kode Produk")
	@Column(name = "KdProduk", nullable = true, length = 6)
	private String kdProduk;

	@Caption(value = "Spesifikasi")
	@Column(name = "Spesifikasi", nullable = true, length = 1000)
	private String spesifikasi;

	@Caption(value = "KodeBMN")
	@Column(name = "KodeBMN", nullable = true, length = 25)
	private String kodeBmn;

	public String getSpesifikasi() {
		return spesifikasi;
	}

	public void setSpesifikasi(String spesifikasi) {
		this.spesifikasi = spesifikasi;
	}

	public String getKodeBmn() {
		return kodeBmn;
	}

	public void setKodeBmn(String kodeBmn) {
		this.kodeBmn = kodeBmn;
	}

	@Caption(value = "Kode Produk Intern")
	@Column(name = "KdProdukIntern", nullable = true, length = 15)
	private String kdProdukIntern;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectProdusenProdukFk")
	@Caption(value = "Object Produsen Produk")
	private ProdusenProduk produsenProduk;

	@Column(name = "ObjectProdusenProdukFk", insertable = false, updatable = false)
	private Integer produsenProdukId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectSatuanBesarFk")
	@Caption(value = "Object Satuan Besar")
	private SatuanBesar satuanBesar;

	@Column(name = "ObjectSatuanBesarFk", insertable = false, updatable = false)
	private Integer satuanBesarId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectSatuanKecilFk")
	@Caption(value = "Object Satuan Kecil")
	private SatuanKecil satuanKecil;

	@Column(name = "ObjectSatuanKecilFk", insertable = false, updatable = false)
	private Integer satuanKecilId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectSatuanStandarFk")
	@Caption(value = "Object Satuan Standar")
	private SatuanStandar satuanStandar;

	@Column(name = "ObjectSatuanStandarFk", insertable = false, updatable = false)
	private Integer satuanStandarId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectStatusProdukFk")
	@Caption(value = "Object Status Produk")
	private StatusProduk statusProduk;

	@Column(name = "ObjectStatusProdukFk", insertable = false, updatable = false)
	private Integer statusProdukId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectTypeProdukFk")
	@Caption(value = "Object Type Produk")
	private TypeProduk typeProduk;

	@Column(name = "ObjectTypeProdukFk", insertable = false, updatable = false)
	private Integer typeProdukId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectUnitLaporanFk")
	@Caption(value = "Object Unit Laporan")
	private UnitLaporan unitLaporan;

	@Column(name = "ObjectUnitLaporanFk", insertable = false, updatable = false)
	private Integer unitLaporanId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectWarnaProdukFk")
	@Caption(value = "Object Warna Produk")
	private WarnaProduk warnaProduk;

	@Column(name = "ObjectWarnaProdukFk", insertable = false, updatable = false)
	private Integer warnaProdukId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectKelompokProdukBPJSFk")
	@Caption(value = "Object KelompokProdukBPJS")
	private KelompokProdukBPJS kelompokProdukBPJS;

	@Column(name = "ObjectKelompokProdukBPJSFk", insertable = false, updatable = false)
	private Integer kelompokProdukBPJSId;

	@Caption(value = "Kekuatan")
	@Column(name = "Kekuatan", nullable = true, length = 20)
	private String kekuatan;

	@Caption(value = "Nama Produk")
	@Column(name = "NamaProduk", nullable = true, length = 150)
	private String namaProduk;

	@Caption(value = "Nilai Normal")
	@Column(name = "NilaiNormal", nullable = true)
	private Short nilaiNormal;

	@Caption(value = "QProduk")
	@Column(name = "QProduk", nullable = true)
	private Integer qProduk;

	@Caption(value = "Qty Jual Terkecil")
	@Column(name = "QtyJualTerkecil", nullable = true)
	private Double qtyJualTerkecil;

	@Caption(value = "Qty Kalori")
	@Column(name = "QtyKalori", nullable = true)
	private Double qtyKalori;

	@Caption(value = "Qty Karbohidrat")
	@Column(name = "QtyKarbohidrat", nullable = true)
	private Double qtyKarbohidrat;

	@Caption(value = "Qty Lemak")
	@Column(name = "QtyLemak", nullable = true)
	private Double qtyLemak;

	@Caption(value = "Qty Porsi")
	@Column(name = "QtyPorsi", nullable = true)
	private Double qtyPorsi;

	@Caption(value = "Qty Protein")
	@Column(name = "QtyProtein", nullable = true)
	private Double qtyProtein;

	@Caption(value = "Qty Satu Kemasan")
	@Column(name = "QtySatuKemasan", nullable = true)
	private Integer qtySatuKemasan;

	@Caption(value = "Qty Terkecil")
	@Column(name = "QtyTerkecil", nullable = true)
	private Double qtyTerkecil;

	@Caption(value = "Tanggal Produksi")
	@Column(name = "TglProduksi", insertable = false, updatable = false, nullable = true)
	private Date tglProduksi;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectGenerikFk")
	@Caption(value = "Object Generik")
	private Generik generik;

	@Column(name = "ObjectGenerikFk", insertable = false, updatable = false)
	private Integer generikId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectSediaanFk")
	@Caption(value = "Object Sediaan")
	private Sediaan sediaan;

	@Column(name = "ObjectSediaanFk", insertable = false, updatable = false)
	private Integer sediaanId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectDetailObatFk")
	@Caption(value = "Object Detail Obat")
	private DetailObat detailObat;

	@Column(name = "ObjectDetailObatFk", insertable = false, updatable = false)
	private Integer detailObatId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectStatusBarangFk")
	@Caption(value = "Object Detail Obat")
	private StatusBarang statusBarang;

	@Column(name = "ObjectStatusBarangFk", insertable = false, updatable = false)
	private Integer statusBarangId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectRekananFk")
	@Caption(value = "Object Rekanan")
	private Rekanan rekanan;

	@Column(name = "ObjectRekananFk", insertable = false, updatable = false)
	private Integer rekananId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectMerkProdukFk")
	@Caption(value = "Object Merk Produk")
	private MerkProduk merkProduk;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "golonganDarahFk")
	@Caption(value = "Golongan Darah")
	private GolonganDarah golonganDarah;

	@Column(name = "GolonganDarahFk", insertable = false, updatable = false, nullable = true)
	private Integer golonganDarahId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "rhesusFk")
	@Caption(value = "Rhesus")
	private Rhesus rhesus;

	@Column(name = "RhesusFk", insertable = false, updatable = false, nullable = true)
	private Integer rhesusId;

	public GolonganDarah getGolonganDarah() {
		return golonganDarah;
	}

	public void setGolonganDarah(GolonganDarah golonganDarah) {
		this.golonganDarah = golonganDarah;
	}

	public Integer getGolonganDarahId() {
		return golonganDarahId;
	}

	public void setGolonganDarahId(Integer golonganDarahId) {
		this.golonganDarahId = golonganDarahId;
	}

	public Rhesus getRhesus() {
		return rhesus;
	}

	public void setRhesus(Rhesus rhesus) {
		this.rhesus = rhesus;
	}

	public Integer getRhesusId() {
		return rhesusId;
	}

	public void setRhesusId(Integer rhesusId) {
		this.rhesusId = rhesusId;
	}

	public MerkProduk getMerkProduk() {
		return merkProduk;
	}

	public void setMerkProduk(MerkProduk merkProduk) {
		this.merkProduk = merkProduk;
	}

	@Column(name = "ObjectMerkProdukFk", insertable = false, updatable = false)
	private Integer merkProdukId;

	public String getDeskripsiProduk() {
		return deskripsiProduk;
	}

	public void setDeskripsiProduk(String deskripsiProduk) {
		this.deskripsiProduk = deskripsiProduk;
	}

	public Byte getIsProdukIntern() {
		return isProdukIntern;
	}

	public void setIsProdukIntern(Byte isProdukIntern) {
		this.isProdukIntern = isProdukIntern;
	}

	public ChartOfAccount getAccount() {
		return account;
	}

	public void setAccount(ChartOfAccount account) {
		this.account = account;
	}

	public BahanProduk getBahanProduk() {
		return bahanProduk;
	}

	public void setBahanProduk(BahanProduk bahanProduk) {
		this.bahanProduk = bahanProduk;
	}

	public String getKdBarcode() {
		return kdBarcode;
	}

	public void setKdBarcode(String kdBarcode) {
		this.kdBarcode = kdBarcode;
	}

	public BentukProduk getBentukProduk() {
		return bentukProduk;
	}

	public void setBentukProduk(BentukProduk bentukProduk) {
		this.bentukProduk = bentukProduk;
	}

	public Departemen getDepartemen() {
		return departemen;
	}

	public void setDepartemen(Departemen departemen) {
		this.departemen = departemen;
	}

	public DetailGolonganProduk getDetailGolonganProduk() {
		return detailGolonganProduk;
	}

	public void setDetailGolonganProduk(DetailGolonganProduk detailGolonganProduk) {
		this.detailGolonganProduk = detailGolonganProduk;
	}

	public DetailJenisProduk getDetailJenisProduk() {
		return detailJenisProduk;
	}

	public void setDetailJenisProduk(DetailJenisProduk detailJenisProduk) {
		this.detailJenisProduk = detailJenisProduk;
	}

	public FungsiProduk getFungsiProduk() {
		return fungsiProduk;
	}

	public void setFungsiProduk(FungsiProduk fungsiProduk) {
		this.fungsiProduk = fungsiProduk;
	}

	public GolonganProduk getGolonganProduk() {
		return golonganProduk;
	}

	public void setGolonganProduk(GolonganProduk golonganProduk) {
		this.golonganProduk = golonganProduk;
	}

	public GeneralProduk getgProduk() {
		return gProduk;
	}

	public void setgProduk(GeneralProduk gProduk) {
		this.gProduk = gProduk;
	}

	public JenisPeriksaPenunjang getJenisPeriksaPenunjang() {
		return jenisPeriksaPenunjang;
	}

	public void setJenisPeriksaPenunjang(JenisPeriksaPenunjang jenisPeriksaPenunjang) {
		this.jenisPeriksaPenunjang = jenisPeriksaPenunjang;
	}

	public KategoryProduk getKategoryProduk() {
		return kategoryProduk;
	}

	public void setKategoryProduk(KategoryProduk kategoryProduk) {
		this.kategoryProduk = kategoryProduk;
	}

	public LevelProduk getLevelProduk() {
		return levelProduk;
	}

	public void setLevelProduk(LevelProduk levelProduk) {
		this.levelProduk = levelProduk;
	}

	public String getKdProduk() {
		return kdProduk;
	}

	public void setKdProduk(String kdProduk) {
		this.kdProduk = kdProduk;
	}

	public String getKdProdukIntern() {
		return kdProdukIntern;
	}

	public void setKdProdukIntern(String kdProdukIntern) {
		this.kdProdukIntern = kdProdukIntern;
	}

	public ProdusenProduk getProdusenProduk() {
		return produsenProduk;
	}

	public void setProdusenProduk(ProdusenProduk produsenProduk) {
		this.produsenProduk = produsenProduk;
	}

	public SatuanBesar getSatuanBesar() {
		return satuanBesar;
	}

	public void setSatuanBesar(SatuanBesar satuanBesar) {
		this.satuanBesar = satuanBesar;
	}

	public SatuanKecil getSatuanKecil() {
		return satuanKecil;
	}

	public void setSatuanKecil(SatuanKecil satuanKecil) {
		this.satuanKecil = satuanKecil;
	}

	public SatuanStandar getSatuanStandar() {
		return satuanStandar;
	}

	public void setSatuanStandar(SatuanStandar satuanStandar) {
		this.satuanStandar = satuanStandar;
	}

	public Integer getSatuanStandarId() {
		return satuanStandarId;
	}

	public void setSatuanStandarId(Integer satuanStandarId) {
		this.satuanStandarId = satuanStandarId;
	}

	public StatusProduk getStatusProduk() {
		return statusProduk;
	}

	public void setStatusProduk(StatusProduk statusProduk) {
		this.statusProduk = statusProduk;
	}

	public TypeProduk getTypeProduk() {
		return typeProduk;
	}

	public void setTypeProduk(TypeProduk typeProduk) {
		this.typeProduk = typeProduk;
	}

	public UnitLaporan getUnitLaporan() {
		return unitLaporan;
	}

	public void setUnitLaporan(UnitLaporan unitLaporan) {
		this.unitLaporan = unitLaporan;
	}

	public WarnaProduk getWarnaProduk() {
		return warnaProduk;
	}

	public void setWarnaProduk(WarnaProduk warnaProduk) {
		this.warnaProduk = warnaProduk;
	}

	public String getKekuatan() {
		return kekuatan;
	}

	public void setKekuatan(String kekuatan) {
		this.kekuatan = kekuatan;
	}

	public String getNamaProduk() {
		return namaProduk;
	}

	public void setNamaProduk(String namaProduk) {
		this.namaProduk = namaProduk;
	}

	public Short getNilaiNormal() {
		return nilaiNormal;
	}

	public void setNilaiNormal(Short nilaiNormal) {
		this.nilaiNormal = nilaiNormal;
	}

	public Integer getqProduk() {
		return qProduk;
	}

	public void setqProduk(Integer qProduk) {
		this.qProduk = qProduk;
	}

	public Double getQtyJualTerkecil() {
		return qtyJualTerkecil;
	}

	public void setQtyJualTerkecil(Double qtyJualTerkecil) {
		this.qtyJualTerkecil = qtyJualTerkecil;
	}

	public Double getQtyKalori() {
		return qtyKalori;
	}

	public void setQtyKalori(Double qtyKalori) {
		this.qtyKalori = qtyKalori;
	}

	public Double getQtyKarbohidrat() {
		return qtyKarbohidrat;
	}

	public void setQtyKarbohidrat(Double qtyKarbohidrat) {
		this.qtyKarbohidrat = qtyKarbohidrat;
	}

	public Double getQtyLemak() {
		return qtyLemak;
	}

	public void setQtyLemak(Double qtyLemak) {
		this.qtyLemak = qtyLemak;
	}

	public Double getQtyPorsi() {
		return qtyPorsi;
	}

	public void setQtyPorsi(Double qtyPorsi) {
		this.qtyPorsi = qtyPorsi;
	}

	public Double getQtyProtein() {
		return qtyProtein;
	}

	public void setQtyProtein(Double qtyProtein) {
		this.qtyProtein = qtyProtein;
	}

	public Integer getQtySatuKemasan() {
		return qtySatuKemasan;
	}

	public void setQtySatuKemasan(Integer qtySatuKemasan) {
		this.qtySatuKemasan = qtySatuKemasan;
	}

	public Double getQtyTerkecil() {
		return qtyTerkecil;
	}

	public void setQtyTerkecil(Double qtyTerkecil) {
		this.qtyTerkecil = qtyTerkecil;
	}

	public Date getTglProduksi() {
		return tglProduksi;
	}

	public void setTglProduksi(Date tglProduksi) {
		this.tglProduksi = tglProduksi;
	}

	public Generik getGenerik() {
		return generik;
	}

	public void setGenerik(Generik generik) {
		this.generik = generik;
	}

	public Sediaan getSediaan() {
		return sediaan;
	}

	public void setSediaan(Sediaan sediaan) {
		this.sediaan = sediaan;
	}

	public DetailObat getDetailObat() {
		return detailObat;
	}

	public void setDetailObat(DetailObat detailObat) {
		this.detailObat = detailObat;
	}

	public StatusBarang getStatusBarang() {
		return statusBarang;
	}

	public void setStatusBarang(StatusBarang statusBarang) {
		this.statusBarang = statusBarang;
	}

	public Rekanan getRekanan() {
		return rekanan;
	}

	public void setRekanan(Rekanan rekanan) {
		this.rekanan = rekanan;
	}

	// add by Arya
	@Caption(value = "Status")
	@Column(name = "Status", nullable = true)
	private String status;

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	@Column(name = "verifikasiAnggaran")
	private Boolean verifikasiAnggaran;

	public Boolean getVerifikasiAnggaran() {
		return verifikasiAnggaran;
	}

	public void setVerifikasiAnggaran(Boolean verifikasiAnggaran) {
		this.verifikasiAnggaran = verifikasiAnggaran;
	}

	// add by susy

	@Column(name = "isnarkotika")
	private Boolean isNarkotika;

	@Column(name = "ispsikotropika")
	private Boolean isPsikotropika;

	public Boolean getIsNarkotika() {
		return isNarkotika;
	}

	public void setIsNarkotika(Boolean isNarkotika) {
		this.isNarkotika = isNarkotika;
	}

	public Boolean getIsPsikotropika() {
		return isPsikotropika;
	}

	public void setIsPsikotropika(Boolean isPsikotropika) {
		this.isPsikotropika = isPsikotropika;
	}

	public KelompokProdukBPJS getKelompokProdukBPJS() {
		return kelompokProdukBPJS;
	}

	public void setKelompokProdukBPJS(KelompokProdukBPJS kelompokProdukBPJS) {
		this.kelompokProdukBPJS = kelompokProdukBPJS;
	}

	public Integer getKelompokProdukBPJSId() {
		return kelompokProdukBPJSId;
	}

	public void setKelompokProdukBPJSId(Integer kelompokProdukBPJSId) {
		this.kelompokProdukBPJSId = kelompokProdukBPJSId;
	}

}